blk_requeue_request
Prev | Chapter 19. Block Devices | Next

## Name

blk_requeue_request — put a request back on queue

## Synopsis

`void blk_requeue_request (` | struct request_queue * | q,
| struct request * | rq`)`;

## Arguments

`q`

  request queue where request should be inserted

`rq`

  request to be inserted

## Description

Drivers often keep queueing requests until the hardware cannot accept more, when that condition happens we need to put the request back on the queue. Must be called with queue lock held.

Prev | Up | Next
blk_start_queueing | Home | blk_insert_request